import request from '@/utils/request'
// 查询内部位移数据列表不分页
export function listShyNopage(query) {
  return request({
    url: '/project/shy/listNoPage',
    method: 'get',
    params: query
  })
}
// 查询渗压监测数据列表
export function listShy(query) {
  return request({
    url: '/project/shy/list',
    method: 'get',
    params: query
  })
}

// 查询渗压监测数据详细
export function getShy(id) {
  return request({
    url: '/project/shy/' + id,
    method: 'get'
  })
}

// 新增渗压监测数据
export function addShy(data) {
  return request({
    url: '/project/shy',
    method: 'post',
    data: data
  })
}

// 修改渗压监测数据
export function updateShy(data) {
  return request({
    url: '/project/shy',
    method: 'put',
    data: data
  })
}

// 删除渗压监测数据
export function delShy(id) {
  return request({
    url: '/project/shy/' + id,
    method: 'delete'
  })
}
